@import url("https://fonts.googleapis.com/css2?family=Titillium+Web:ital,wght@0,300;0,400;0,700;1,400&display=swap");
:root {
  --red: #ae3b44;
  --white: #ffffff;
  --grey: #3c3c3c;
  --black: #3d4960;
  --viol: #87509c;
}

*,
*:before,
*:after {
  padding: 0;
  margin: 0;
  border: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

input {
  font-size: 18px;
  color: var(--white);
}

textarea {
  padding: 25px;
  font-size: 18px;
  color: var(--white);
}

html,
body {
  height: 100%;
  font-family: "Titillium Web";
  font-size: 18px;
}

.welcome-wrapper {
  background-color: var(--viol);
  height: 100vh;
}

.container {
  max-width: 1140px;
  margin: 0px auto;
  padding: 0px 10px;
}

.header {
  position: relative;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 50;
}

.header:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--viol);
  z-index: 2;
}

.header__body {
  padding: 40px 0px 10px 40px;
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 80px;
  align-items: center;
}

.header__logo {
  position: relative;
  margin-left: 21px;
  z-index: 3;
}

.header__logo img {
  max-width: 100%;
  display: block;
}

.header__logo img:hover {
  filter: drop-shadow(2px 4px 6px black);
  max-width: 100%;
  display: block;
  opacity: 0.9;
}

.header__burger {
  display: none;
}

.header__list {
  display: flex;
  justify-content: space-between;
  position: relative;
  z-index: 2;
}

.header__list li {
  list-style: none;
  margin-left: 0px;
}

.header__link {
  font-size: 16px;
  color: var(--white);
  text-transform: uppercase;
  margin-right: 10px;
  padding: 4px 17px;
}

.header__link:hover {
  padding: 4px 17px;
  background-color: #643a79;
  border-radius: 7%;
}
.last-link {
  margin-right: 0;
}

/* .//////////////////////////////////////////. */

.content {
  display: flex;
  justify-content: center;
  margin: 0 0 100px;
  padding-top: 115px;
  /* margin-bottom: 100px; */
}

.content__text {
  text-align: center;
  margin: 0 auto;
  /* padding-left: 100px; */
  padding-bottom: 50px;
  text-indent: 80px;
  color: var(--white);
}

.content__text h1 {
  text-align: justify;
  font-size: 41px;
}

.content__button-wrap {
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  
  width: 293px;
  height: 70px;
  margin: 0 auto;
  border-radius: 4px;
  background: #eb7d4b;
  border-bottom: 5px solid #c86a40;
}

.content__button {
  padding: 0px;
  filter: brightness(100%);
}

.content__button-wrap:hover {
  filter: drop-shadow(2px 4px 6px black);
  cursor: pointer;
  /* opacity: 0.8; */
  /* filter: brightness(120%); */
}


.content__a {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  color: var(--white);
  text-transform: uppercase;
}

.content__a:hover {
  cursor: pointer;
  opacity: 0.8;
}
/* -----------------------services--------------------- */

.container-services-elem {
  background-color: #17c2a4;
}

.services-wrapper {
  padding: 119px 10px;
  margin: 0 auto;
  position: relative;
  max-width: 1140px;
}

.services__section {
  margin: 0 auto;
  color: var(--white);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.services__section-title-text {
  padding-bottom: 78px;
  text-align: center;
  align-items: center;
  max-width: 603px;
}

.services__section-title-text h1 {
  letter-spacing: 3.2px;
}

.services__title {
  /* padding-top: 20px; */
  display: flex;
  flex-direction: column;
}

.services__title h1 {
  position: relative;
  font-size: 40px;
  text-transform: uppercase;
  padding-bottom: 20px;
  margin-bottom: 23px;
}

.services__title h1:after {
  content: "";
  position: absolute;
  left: calc(50% - 44px);
  bottom: 0;
  display: block;
  width: 87px;
  height: 4px;
  background-color: #14a58b;
  margin: 0px auto;
}

.services__text {
  font-size: 18px;
}

/* /////////////////////////GENERAL//////////////////////////////////// */

.general__info {
  width: 100%;
}

.general__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: baseline;
}

.general__figure {
  margin-bottom: 50px;
}

.general__link {
  width: 25%;
  text-align: center;
}

.general__link:first-child {
  margin-left: 0px;
}

.general__figure img {
  margin: 0 auto;
}

.general__h2 {
  text-transform: uppercase;
  margin-bottom: 27px;
  font-size: 24px;
  font-weight: 700;
}

.general__p {
  margin: 0 auto;
  width: 90%;
}

.general__link .services-p {
  margin: 0 auto;
  width: 80%;
}

/* ______________team_______________ */

.container-team-elem {
  background-color: #e7f1f8;
  padding-bottom: 120px;
}

.team-wrapper {
  padding: 119px 10px 0 10px;
  margin: 0 auto;
  position: relative;
  max-width: 1140px;
}

.team__section {
  margin: 0 auto;
  color: var(--black);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.team__section-title-text {
  padding-bottom: 78px;
  text-align: center;
  align-items: center;
  /* max-width: 603px; */
}

.team__title {
  display: flex;
  flex-direction: column;
}

.team__title h1 {
  letter-spacing: 3.2px;
  position: relative;
  font-size: 40px;
  text-transform: uppercase;
  margin-bottom: 20px;
  padding-bottom: 23px;
}

.team__title h1:after {
  content: "";
  position: absolute;
  left: calc(50% - 44px);
  bottom: 0;
  display: block;
  width: 87px;
  height: 4px;
  background-color: #c7d9e5;
  margin: 0px auto;
}

.list__container-photo {
  width: 200px;
  height: 200px;
  margin: 0 auto;
  border-radius: 50%;
}

.team-list li {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
}

.team__text {
  font-size: 19px;
}

.list-p {
  color: #30bae7;
}

.team-list__p {
  margin-bottom: 20px;
}

.team-list__container .team__link {
  margin: 0;
}

.team__list-icon {
  display: flex;
  justify-content: center;
}

.team__list-icon li {
  filter: brightness(100%);
  margin-right: 15px;
}
.team__list-icon li:last-child {
  margin-right: 0px;
}

.team-list__container {
  display: flex;
  width: 97%;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.team__list-icon li:hover {
  filter: brightness(120%);
  background-color: #e8effc;
  border-radius: 50%;
}

.team__link-last {
  letter-spacing: 0.7px;
}


/* ------------------------- */


.visually-hidden:not(:focus):not(:active) {
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.social-links-container {
  display: flex;
  justify-content: center;
}

.social-link {
  display: block;
  width: 32px;
  height: 32px;
  background-color: #bdd1df;
  border-radius: 50%;
  background-position: center;
  background-repeat: no-repeat;
}

.social-link--twitter {
  background-image: url(../img/social-icon/Twitter.svg);
  background-size: 17px 14px;
  transition: 0.3s linear;
}

.social-link--twitter:hover {
  background-color: #00acee;
}

.social-link--facebook {
  
  background-image: url(../img/social-icon/Facebook_Icon.svg);
  background-size: 8px 16px;
  transition: 0.3s linear;
}

.social-link--facebook:hover {
  background-color: #3b5998;
}

.social-link--linkedIn {
  background-image: url(../img/social-icon/LinkedIn_icon.svg);
  background-size: 16px 16px;
  transition: 0.3s linear;
}

.social-link--linkedIn:hover {
  background-color: #0e76a8;
}

.social-link--mail {
  background-image: url(../img/social-icon/Mail.svg);
  background-size: 16px 12px;
  transition: 0.3s linear;
}

.social-link--mail:hover {
  background-color: #b23121;
}

.social-link:not(:last-child) {
  margin-right: 12px;
}

/* /////-_______________SKILLS ____________________///////// */

.container-skills-elem {
  background-color: #ffffff;
}

.skills-wrapper {
  margin: 0 auto;
  position: relative;
  max-width: 1140px;
  padding: 112px 0 120px 0;
}

.skills__section {
  margin: 0 auto;
  color: var(--black);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.skills__section-title-text {
  margin-bottom: 23px;
  padding-bottom: 20px;
  text-align: center;
  align-items: center;
  max-width: 603px;
}

.skills__title {
  display: flex;
  flex-direction: column;
}

.skills__title h1 {
  letter-spacing: 3.2px;
  position: relative;
  font-size: 40px;
  text-transform: uppercase;
  margin-bottom: 20px;
  padding-bottom: 20px;
}

.skills__title p {
}

.skills__title h1:after {
  content: "";
  position: absolute;
  left: calc(50% - 44px);
  bottom: 0;
  display: block;
  width: 87px;
  height: 4px;
  background-color: #e7eef2;
  margin: 0px auto;
}

.skills__text {
  font-size: 18px;
}

.skills-list__p {
  color: #30bae7;
  margin-bottom: 20px;
}

.skills-list {
  margin-bottom: 25px;
}

.skills__link {
  margin-bottom: 0;
}

/* /////-_______________SKILLS BAR____________________///////// */

.progress-circle {
  position: relative;
  display: inline-block;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-color: #ebebeb;
}

.progress-circle:after {
  content: "";
  display: inline-block;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  -webkit-animation: colorload 2s;
  animation: colorload 2s;
}

.progress-circle span {
  color: #8b8b8b;
  position: absolute;
  left: 24%;
  top: 24%;
  display: block;
  width: 164px;
  height: 164px;
  line-height: 60px;
  margin-left: -30px;
  margin-top: -30px;
  text-align: center;
  border-radius: 50%;
  background: #fff;
  z-index: 1;
}

.skills-figure {
  position: relative;
}

.span-text {
  position: absolute;
  font-size: 50px;
  font-weight: 300;
  z-index: 5;
  top: 61px;
  left: 0;
  right: 0;
}

.progress-circle__span:after {
  content: "%";
  position: absolute;
  font-size: 1.55em;
  color: var(--black);
  top: 58px;
  left: 110px;
}

.progress-circle.progress-90:after {
  background-image: linear-gradient(
      54deg,
      #30bae7 50%,
      transparent 50%,
      transparent
    ),
    linear-gradient(270deg, #30bae7 50%, #ebebeb 50%, #ebebeb);
}

.progress-circle.progress-75:after {
  background-image: linear-gradient(
      0deg,
      #d74680 50%,
      transparent 50%,
      transparent
    ),
    linear-gradient(270deg, #d74680 50%, #ebebeb 50%, #ebebeb);
}

.progress-circle.progress-70:after {
  background-image: linear-gradient(
      -18deg,
      #15c7a8 50%,
      transparent 50%,
      transparent
    ),
    linear-gradient(270deg, #15c7a8 50%, #ebebeb 50%, #ebebeb);
}

.progress-circle.progress-85:after {
  background-image: linear-gradient(
      36deg,
      #eb7d4b 50%,
      transparent 50%,
      transparent
    ),
    linear-gradient(270deg, #eb7d4b 50%, #ebebeb 50%, #ebebeb);
}

/* --//////////////////portfolio//////////////////////-- */

.container-portfolio-elem {
  background-color: #ffdd99;
}

.portfolio-wrapper {
  margin: 0 auto;
  position: relative;
  max-width: 1140px;
  padding: 119px 0px;
}

.portfolio__section {
  margin: 0 auto;
  color: var(--black);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.portfolio__section-title-text {
  padding-bottom: 78px;
  text-align: center;
  align-items: center;
  /* max-width: 603px; */
}

.portfolio__title {
  display: flex;
  flex-direction: column;
}

.portfolio__title h1 {
  letter-spacing: 3.2px;
  position: relative;
  font-size: 40px;
  text-transform: uppercase;
  padding-bottom: 20px;
  margin-bottom: 23px;
}

.portfolio__title h1:after {
  content: "";
  position: absolute;
  left: calc(50% - 44px);
  bottom: 0;
  display: block;
  width: 87px;
  height: 4px;
  background-color: #e5c37f;
  margin: 0px auto;
}

.portfolio__text {
  font-size: 18px;
}

.portfolio__h2 {
  text-transform: uppercase;
  margin-bottom: 60px;
  font-size: 18px;
  font-weight: 700;
}

.portfolio-list__p {
  color: #30bae7;
  margin-bottom: 20px;
}

.portfolio__list-title {
  display: flex;
  justify-content: space-between;
  margin-bottom: 60px;
}

.portfolio__link-title {
  display: flex;
  justify-content: center;
  margin-right: 10px;
  width: 84px;
  height: 38px;
  text-align: center;
  background-color: #ebcb8d;
  border-radius: 5%;
  align-items: center;
}

.portfolio__link-title:hover {
  cursor: pointer;
  background-color: #ffffff;
}


.portfolio__link-title a {
  display: block;
  font-size: 18px;
  text-transform: uppercase;
  color: var(--black);
}

.general__figure_less{
  margin-bottom: 0;
}

.portfolio__figure {
  background-image: url(../img/comp/laptop.png);
  width: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  display: block;
  margin-bottom: 20px;
}

.portfolio__img {
  width: 547px;
  height: 330px;
  margin: 0 auto;
  padding: 25px 64px 45px 64px;
}

.portfolio__info {
  padding-bottom: 23px; 
}
.portfolio__button_background {
  /* margin-bottom: 109px; */
  background: #17c2a4;
  border-bottom: 5px solid #14a58b;
}

.portfolio__button_background:hover {
  opacity: 0.9;
  background: #19b89b;
  border-bottom: 5px solid #14a58b;
}

.portfolio__link-title:last-child {
  margin-right: 0px;
}

.portfolio__list_comp {
     display: flex;
     flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
}

.portfolio__link_comp {
  /* width: 90%; */
  text-align: center;
  /* padding-bottom: 128px; */
}


/* -----------------------testimonials--------------------- */

.container-testimonials-elem {
  background-color: #d74680;
}

.testimonials-wrapper {
  margin: 0 auto;
  position: relative;
  padding: 119px 10px;
  max-width: 1140px;
}

.testimonials__section {
  margin: 0 auto;
  color: var(--white);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.testimonials__section-title-text {
  padding-bottom: 78px;
  text-align: center;
  align-items: center;
  max-width: 603px;
}

.testimonials__title {
  display: flex;
  flex-direction: column;
}

.testimonials__title h1 {
  letter-spacing: 3.2px;
  position: relative;
  font-size: 40px;
  text-transform: uppercase;
  padding-bottom: 20px;
  margin-bottom: 23px;
}

.testimonials__title h1:after {
  content: "";
  position: absolute;
  left: calc(50% - 44px);
  bottom: 0;
  display: block;
  width: 87px;
  height: 4px;
  background-color: #b73b6d;
  margin: 0px auto;
}

.testimonials__text {
  font-size: 18px;
  letter-spacing: 0.36px;
}

.testimonials__h2 {
  text-transform: uppercase;
  padding-top: 30px;
  font-size: 24px;
  font-weight: 700;
}

.testimonials-list__p {
  color: #ffdd99;
  letter-spacing: 0.36px;
}

.testimonials__list {
  display: flex;
  flex-direction: column;
  align-items: center;
  /* align-items: flex-start; */
  /* flex-wrap: wrap; */
  /* justify-content: center; */
  /* height: 100%; */
}

.testimonials__list-text {
  font-size: 21px;
  text-align: start;
}

.testimonials__link {
  display: flex;
  width: 90%;
  /* width: 40%; */
  text-align: center;
  justify-content: space-between;
}

.testimonials__element {
  display: flex;
  margin-bottom: 128px;
}

.testimonials__li-text {
  font-style: italic;
  padding-top: 11px;
  text-align: start;
  width: 330px;
  /* margin-left: 48px; */
}

.general__link:first-child {
  margin-left: 0px;
}

/* .testimonials__figure {
  margin-right: 48px;
} */

.testimonials__img {
  width: 96px;
  height: 96px;
  margin-right: 48px;
  border-radius: 50%;
}

/* ///////////////////////////////////////// */

.container-touch-elem {
  background-color: #3c5499;
}

.touch-wrapper {
  padding: 119px 10px 0;
  margin: 0 auto;
  position: relative;
  max-width: 1140px;
}

.touch__section {
  color: var(--white);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.touch__section-title-text {
  padding-bottom: 78px;
  text-align: center;
  align-items: center;
}

.touch__title {
  display: flex;
  flex-direction: column;
}

.touch__title h1 {
  letter-spacing: 3.2px;
  position: relative;
  font-size: 40px;
  text-transform: uppercase;
  margin-bottom: 20px;
  padding-bottom: 23px;
}

.touch__title h1:after {
  content: "";
  position: absolute;
  left: calc(50% - 44px);
  bottom: 0;
  display: block;
  width: 87px;
  height: 4px;
  background-color: #2c407b;
  margin: 0px auto;
}

.touch__text {
  font-size: 18px;
}

.portfolio-list__p {
  color: #30bae7;
  margin-bottom: 20px;
}

.portfolio__list-title {
  display: flex;
  justify-content: space-between;
  margin-bottom: 60px;
}

.portfolio__link-title {
  display: flex;
  justify-content: center;
  margin-right: 10px;
  width: 84px;
  height: 38px;
  text-align: center;
  background-color: #ebcb8d;
  border-radius: 5%;
  align-items: center;
}

.portfolio__link-title:hover {
  cursor: pointer;
  background-color: #ffffff;
}

.portfolio__link-title a {
  display: block;
  font-size: 18px;
  text-transform: uppercase;
  color: var(--black);
}


.portfolio__link-title:last-child {
  margin-right: 0px;
}

/* /////////////////////  FORM  ////////////// */

.form__container {
  padding: 0 5px;
}

.touch-form {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  /* justify-content: space-between; */
}

.form-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 100%;
  margin-bottom: 28px;
}

.form-wrapper label {
  flex-basis: 48%;
  width: 100%;
  position: relative;
}

.form-wrapper label:last-child {
  /* margin-right: 32px; */
}

.form-wrapper textarea {
  color: var(--white);
  background-color: #273a71;
  border-radius: 4px;
}

::placeholder {
  color: var(--white);
}

.touch-input {
  width: 100%;
  background-color: #273a71;
  height: 57px;
  padding: 0px 25px;
  border-radius: 4px;
  margin-bottom: 27px;
}

.form-wrapper .text-label {
  flex-basis: 100%;
}

.form__textarea {
  height: 200px;
  display: block;
  width: 100%;
  margin-bottom: 40px;
  position: relative;
}

.form__textarea:focus {
}

.input-name {
  /* margin-right: 32px; */
}

.input-name__span {
  position: absolute;
  color: var(--white);
  top: 10px;
  left: 29px;
  z-index: 3;
}

.input-email__span {
  position: absolute;
  color: var(--white);
  top: 10px;
  left: 29px;
  z-index: 3;
}

.input-email:focus ~ .input-email__span,
.input-email:valid ~ .input-email__span {
  display: none;
}

.form__textarea:focus ~ .textarea__span,
.form__textarea:valid ~ .textarea__span {
  display: none;
}

.input-name:focus ~ .input-name__span,
.input-name:valid ~ .input-name__span {
  display: none;
}

.input-email__span:after {
  content: "*";
  color: var(--red);
}

.input-name__span:after {
  content: "*";
  color: var(--red);
}

.textarea__span:after {
  content: "*";
  color: var(--red);
}

.textarea__span {
  position: absolute;
  padding: 24px 25px;
  color: var(--white);
  font-size: 18px;
  top: 1px;
  left: 2px;
  z-index: 3;
}

.touch__button_background {
  margin-bottom: 109px;
  background: #30bae7;
  border-bottom: 5px solid #299ec4;
}

.footer-testimonials-elem {
  background-color: #344b8e;
}

.footer {
  margin: 0 auto;
  position: relative;
  max-width: 1140px;
  padding-top: 45px;
  height: 112px;
}

.footer-list {
  display: flex;
  justify-content: space-between;
}

.footer-list a {
  color: var(--white);
  font-size: 24px;
}

.footer-list a:hover {
  color: #30b6e4;
}
